"use strict";

this.name        = "yah_ad_script"; 
this.author      = "spara";
this.description = "Changes ads on billboards";

this.shipSpawned = function() {
	this.$numberOfAds = parseInt(this.ship.scriptInfo.numberOfAds);
	if (this.ship.scriptInfo.brokenAd) {
		this.$brokenAd = parseInt(this.ship.scriptInfo.brokenAd);
	}
	else this.$brokenAd = -1;
	this.$prefix = this.ship.scriptInfo.filePrefix + "_";
	this.$currentAd = 1 + Math.floor(Math.random() * (this.$numberOfAds));
	this._changeAd(this.$currentAd);
	if (this.$currentAd !== this.$brokenAd) {
		this.$billboardTimer = new Timer(this, this._rotateAds, 0, 15);
	}
}

this._rotateAds = function() {
	if (ship) {
		if (this.$currentAd === this.$numberOfAds) this.$currentAd = 1;
		else this.$currentAd++;
		if (this.$currentAd === this.$brokenAd) {
			this.$currentAd++;
		}
		this._changeAd(this.$currentAd);
	}
	else delete this.$billboardTimer;
}

this._changeAd = function(adNumber) {
	if (adNumber < 10) {
		var diff = this.$prefix + "0" + adNumber + ".png";
	}
	else var diff = this.$prefix + adNumber + ".png";
	ship.setMaterials({"yah_billboard_ad.png": {
		diffuse_map: diff,
		illumination_map: "yah_billboard_illuminate.png",
		illumination_modulate_color: (255, 255, 0),
		emission_map: diff,
		emission_modulate_color: "darkGrayColor"
	}});
}
